{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.cc_alien.ufo_rideable.shoot_controller": {
      "states": {
        "default": {
          "animations": [
            "beam_off"
          ],
          "transitions": [
            {
              "shoot": "(query.property(\u0027cc_alien:shoot\u0027))"
            }
          ]
        },
        "shoot": {
          "animations": [
            "tnt_drop"
          ],
          "transitions": [
            {
              "default": "query.all_animations_finished"
            }
          ]
        }
      }
    },
    "controller.animation.cc_alien.ufo_rideable.land_controller": {
      "states": {
        "default": {
          "transitions": [
            {
              "on_land": "query.is_on_ground"
            }
          ]
        },
        "on_land": {
          "animations": [
            "landing"
          ],
          "transitions": [
            {
              "landed": "query.any_animation_finished"
            }
          ]
        },
        "landed": {
          "animations": [
            "landed"
          ],
          "transitions": [
            {
              "on_fly": "!query.is_on_ground"
            }
          ]
        },
        "on_fly": {
          "animations": [
            "taking_off"
          ],
          "transitions": [
            {
              "default": "query.any_animation_finished"
            }
          ]
        }
      }
    }
  }
}